Actor
Keywords: net.corda.core.context.Actor class
Date: 2023-09-18

net.corda.core.context

## Class Actor

- net.corda.core.context.Actor

-     public class Actor

  Models an initiator in Corda, can be a user, a service, etc.

- - ### Field Detail

    - #### Companion

          public static net.corda.core.context.Actor.Companion Companion

  - ### Constructor Detail

    - #### Actor

          public Actor(@NotNull
                       net.corda.core.context.Actor.Id id,
                       @NotNull
                       AuthServiceId serviceId,
                       @NotNull
                       CordaX500Name owningLegalIdentity)

      Models an initiator in Corda, can be a user, a service, etc.

  - ### Method Detail

    - #### getId

          @NotNull
          public net.corda.core.context.Actor.Id getId()

    - #### getServiceId

          @NotNull
          public AuthServiceId getServiceId()

    - #### getOwningLegalIdentity

          @NotNull
          public CordaX500Name getOwningLegalIdentity()

    - #### component1

          @NotNull
          public net.corda.core.context.Actor.Id component1()

    - #### component2

          @NotNull
          public AuthServiceId component2()

    - #### component3

          @NotNull
          public CordaX500Name component3()

    - #### copy

          @NotNull
          public Actor copy(@NotNull
                                     net.corda.core.context.Actor.Id id,
                                     @NotNull
                                     AuthServiceId serviceId,
                                     @NotNull
                                     CordaX500Name owningLegalIdentity)

      Models an initiator in Corda, can be a user, a service, etc.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Models an initiator in Corda, can be a user, a service, etc.

    - #### hashCode

          public int hashCode()

      Models an initiator in Corda, can be a user, a service, etc.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Models an initiator in Corda, can be a user, a service, etc.

    - #### service

          @JvmStatic
           @NotNull
          public static Actor service(@NotNull
                                                           java.lang.String serviceClassName,
                                                           @NotNull
                                                           CordaX500Name owningLegalIdentity)